/*
 * RGB-Matrix-Uhr 64x32, Scott-Falk Hhn, "strings.h"
 * Text-Definitionen
 */

#ifndef STRINGS_H_
#define STRINGS_H_

// Texte im Flash-Speicher, deutsche Umlaute knnen im Quelltext folgendermaen eingegeben werden:
//  = ALT-0128,  = ALT-0129,  = ALT-0130,  = ALT-0131,  = ALT-0132,  = ALT-0133,  = ALT-0134

const char strd01[] PROGMEM = "Montag";
const char strd02[] PROGMEM = "Dienstag";
const char strd03[] PROGMEM = "Mittwoch";
const char strd04[] PROGMEM = "Donnerstag";
const char strd05[] PROGMEM = "Freitag";
const char strd06[] PROGMEM = "Samstag";
const char strd07[] PROGMEM = "Sonntag";
const char strd08[] PROGMEM = "Matrix-Uhr";
const char strd09[] PROGMEM = "kein Datum";
const char strd10[] PROGMEM = "kein Tag";
const char strd11[] PROGMEM = "Deutsch";
const char strd12[] PROGMEM = "Zeit-Farbe";
const char strd13[] PROGMEM = "Datum-Farbe";
const char strd14[] PROGMEM = "Alarm-Farbe";
const char strd15[] PROGMEM = "Sprache";
const char strd16[] PROGMEM = "Feste Sync-Z";
const char strd17[] PROGMEM = "DCF-Invert.";
const char strd18[] PROGMEM = "DCF-Pull-up";
const char strd19[] PROGMEM = "Tag";
const char strd20[] PROGMEM = "Monat";
const char strd21[] PROGMEM = "Jahr";
const char strd22[] PROGMEM = "Stunde";
const char strd23[] PROGMEM = "Minute";
const char strd24[] PROGMEM = "Sekunde";
const char strd25[] PROGMEM = "aus";
const char strd26[] PROGMEM = "ein";
const char strd27[] PROGMEM = "Helligkeit Min";
const char strd28[] PROGMEM = "Helligkeit Max";
const char strd29[] PROGMEM = "Test-LED";
const char strd30[] PROGMEM = "Alarme";
const char strd31[] PROGMEM = "Alarmname ";
const char strd32[] PROGMEM = "Sensorfilter";
const char strd33[] PROGMEM = "Sensornum. ";
const char strd34[] PROGMEM = "Sen-";
const char strd35[] PROGMEM = "Alarm-";
const char strd36[] PROGMEM = "Stundengong";
const char strd37[] PROGMEM = "Alarmsound";
const char strd38[] PROGMEM = "Sound von";
const char strd39[] PROGMEM = "Sound bis";
const char strd40[] PROGMEM = "Roll-Geschw.";
const char strd41[] PROGMEM = "Matrix-Test";
const char strd42[] PROGMEM = "DCF";
const char strd43[] PROGMEM = "RS-232";
const char strd44[] PROGMEM = "Sound-Test";
const char strd45[] PROGMEM = "Sound ";
const char strd46[] PROGMEM = "Start";
const char strd47[] PROGMEM = "Sensornam. ";
const char strd48[] PROGMEM = "Farbe meiden";
const char strd49[] PROGMEM = "\r\rPoweroff\r";
const char strd50[] PROGMEM = "Datum zeigen";
const char strd51[] PROGMEM = "W-Tag zeigen";
const char strd52[] PROGMEM = "keine Daten";
const char strd53[] PROGMEM = "Wechselzeit";
const char strd54[] PROGMEM = "Sekunden";
const char strd55[] PROGMEM = "Aut. Sommerz.";
const char strd56[] PROGMEM = "Taganzeige";
const char strd57[] PROGMEM = "Kalendertag";
const char strd58[] PROGMEM = "Wochentag";
const char strd59[] PROGMEM = "wechselnd";
const char strd60[] PROGMEM = "Sync-Stunde";
const char strd61[] PROGMEM = "Nacht von";
const char strd62[] PROGMEM = "Nacht bis";

// Texts in flash memory (english)

const char stre01[] PROGMEM = "Monday";
const char stre02[] PROGMEM = "Tuesday";
const char stre03[] PROGMEM = "Wednesday";
const char stre04[] PROGMEM = "Thursday";
const char stre05[] PROGMEM = "Friday";
const char stre06[] PROGMEM = "Saturday";
const char stre07[] PROGMEM = "Sunday";
const char stre08[] PROGMEM = "Matrix clock";
const char stre09[] PROGMEM = "no date";
const char stre10[] PROGMEM = "no day";
const char stre11[] PROGMEM = "English";
const char stre12[] PROGMEM = "Time color";
const char stre13[] PROGMEM = "Date color";
const char stre14[] PROGMEM = "Alarm color";
const char stre15[] PROGMEM = "Language";
const char stre16[] PROGMEM = "Fixed sync t.";
const char stre17[] PROGMEM = "DCF Invert.";
const char stre18[] PROGMEM = "DCF Pull-up";
const char stre19[] PROGMEM = "Day";
const char stre20[] PROGMEM = "Month";
const char stre21[] PROGMEM = "Year";
const char stre22[] PROGMEM = "Hour";
const char stre23[] PROGMEM = "Minute";
const char stre24[] PROGMEM = "Second";
const char stre25[] PROGMEM = "off";
const char stre26[] PROGMEM = "on";
const char stre27[] PROGMEM = "Bright Min";
const char stre28[] PROGMEM = "Bright Max";
const char stre29[] PROGMEM = "Test LED";
const char stre30[] PROGMEM = "Alarms";
const char stre31[] PROGMEM = "Alarm name ";
const char stre32[] PROGMEM = "Sensor filter";
const char stre33[] PROGMEM = "Sensor nu. ";
const char stre34[] PROGMEM = "Sen-";
const char stre35[] PROGMEM = "Alarm-";
const char stre36[] PROGMEM = "Hour sound";
const char stre37[] PROGMEM = "Alarm sound";
const char stre38[] PROGMEM = "Sound from";
const char stre39[] PROGMEM = "Sound to";
const char stre40[] PROGMEM = "Scroll speed";
const char stre41[] PROGMEM = "Matrix test";
const char stre42[] PROGMEM = "DCF";
const char stre43[] PROGMEM = "RS-232";
const char stre44[] PROGMEM = "Sound test";
const char stre45[] PROGMEM = "Sound ";
const char stre46[] PROGMEM = "Start";
const char stre47[] PROGMEM = "Sensor na. ";
const char stre48[] PROGMEM = "Avoid color";
const char stre49[] PROGMEM = "\r\rPoweroff\r";
const char stre50[] PROGMEM = "Show date";
const char stre51[] PROGMEM = "Show w-day";
const char stre52[] PROGMEM = "no data";
const char stre53[] PROGMEM = "Change time";
const char stre54[] PROGMEM = "seconds";
const char stre55[] PROGMEM = "Aut. daylight";
const char stre56[] PROGMEM = "Day display";
const char stre57[] PROGMEM = "calendar day";
const char stre58[] PROGMEM = "weekday";
const char stre59[] PROGMEM = "alternate";
const char stre60[] PROGMEM = "Sync hour";
const char stre61[] PROGMEM = "Night from";
const char stre62[] PROGMEM = "Night to";

// Pointerlisten Deutsch/Englisch erstellen

PGM_P const strd[] PROGMEM =
{
  strd00, strd01, strd02, strd03, strd04, strd05, strd06, strd07, strd08, strd09,
  strd10, strd11, strd12, strd13, strd14, strd15, strd16, strd17, strd18, strd19,
  strd20, strd21, strd22, strd23, strd24, strd25, strd26, strd27, strd28, strd29,
  strd30, strd31, strd32, strd33, strd34, strd35, strd36, strd37, strd38, strd39,
  strd40, strd41, strd42, strd43, strd44, strd45, strd46, strd47, strd48, strd49,
  strd50, strd51, strd52, strd53, strd54, strd55, strd56, strd57, strd58, strd59,
  strd60, strd61, strd62
};

PGM_P const stre[] PROGMEM =
{
  strd00, stre01, stre02, stre03, stre04, stre05, stre06, stre07, stre08, stre09,
  stre10, stre11, stre12, stre13, stre14, stre15, stre16, stre17, stre18, stre19,
  stre20, stre21, stre22, stre23, stre24, stre25, stre26, stre27, stre28, stre29,
  stre30, stre31, stre32, stre33, stre34, stre35, stre36, stre37, stre38, stre39,
  stre40, stre41, stre42, stre43, stre44, stre45, stre46, stre47, stre48, stre49,
  stre50, stre51, stre52, stre53, stre54, stre55, stre56, stre57, stre58, stre59,
  stre60, stre61, stre62
};

#endif /* STRINGS_H_ */
